Ręczna kompilacja Yaourt w Archlinux

Pozdrowienia. Mam nadzieję, że rok 2015 będzie pełen samouczków, wskazówek i pomocy Geeka dla wszystkich użytkowników, którzy stale publikują i odwiedzają tę witrynę.

Tuż przed 00:00 w dniu 31 r. Miałem z tym problemy jogurt w mojej nowej instalacji Archlinux.

Jeśli się zastanawiasz Po co ponowna instalacja jeśli to jest Rolling Release? Cóż, zawsze szukam nowych rzeczy iw jednej z nich załadowałem system. Zapisałem ważne pliki (radzę zachować najważniejsze w chmurze) i ponownie zainstalowałem Arch dzięki przewodnikowi Alexander ponce co jest nadal przydatne w 2015 roku, jednak miałem niedogodności, że Pacman zaktualizował do swojej wersji

 -. Pacman wersja 4.2.0 - libalpm wersja 9.0.0 / _.- '.-. .-. .-. Copyright (C) 2006-2014 Pacman Development Team \ '-. '-' '-' '-' Copyright (C) 2002-2006 Judd Vinet '-' Ten program może być swobodnie rozpowszechniany na warunkach licencji GNU General Public License

Najwyraźniej w tej chwili jedna z zależności jogurt to znaczy ma wady zapytanie o pakiet i nie kompilowałem wcześniej ręcznie, więc zacząłem szukać, czytać, pytać i testować.

Jednak najlepszy przewodnik jest zawsze głównym źródłem każdego programu i tym razem rozwiązanie było w języku angielskim, ale ponieważ są to polecenia, nie ma tłumaczenia, ale kolejność, którą można przestrzegać przy ręcznej kompilacji

Kompilacja Yaourt

Kompilacja zapytanie o pakiet

curl -O https://aur.archlinux.org/packages/pa/package-query/package-query.tar.gz tar zxvf package-query.tar.gz cd package-query makepkg -si cd ..

Kompilacja jogurt

curl -O https://aur.archlinux.org/packages/ya/yaourt/yaourt.tar.gz tar zxvf yaourt.tar.gz cd yaourt makepkg -si cd ..

Na koniec możesz zaktualizować cały system, aby sprawdzić, czy wszystko jest w porządku za pomocą:

$ yaourt -Syyau

yaourt -Syyau - bez potwierdzenia

Pamiętaj, że yaourt działa jako zwykły użytkownik, a nie jako root. Sukcesy

Zaczerpnięte z oficjalnej strony Yaourt: https://archlinux.fr/yaourt-en


Treść artykułu jest zgodna z naszymi zasadami etyka redakcyjna. Aby zgłosić błąd, kliknij tutaj.

9 komentarzy, zostaw swoje

Zostaw swój komentarz

Twój adres e-mail nie zostanie opublikowany. Wymagane pola są oznaczone *

*

*

  1. Odpowiedzialny za dane: Miguel Ángel Gatón
  2. Cel danych: kontrola spamu, zarządzanie komentarzami.
  3. Legitymacja: Twoja zgoda
  4. Przekazywanie danych: Dane nie będą przekazywane stronom trzecim, z wyjątkiem obowiązku prawnego.
  5. Przechowywanie danych: baza danych hostowana przez Occentus Networks (UE)
  6. Prawa: w dowolnym momencie możesz ograniczyć, odzyskać i usunąć swoje dane.

  1.   Rodolfo Martinez powiedział

    To samo przytrafiło mi się dzisiaj rano, kiedy aktualizowałem, twój post byłby dla mnie bardzo dobry, zanim zbadałem xD w Internecie. Doskonały wkład.

    1.    Statystyka powiedział

      Gdybym uznał za stosowne to stworzyć ten post tylko jako pomoc bo widziałem że u archu użytkowników po aktualizacji pojawia się ten problem

      pozdrowienia

  2.   Dawid powiedział

    Używam pakera, który jest jednym z wielkich nieznanych pomocników AUR, wydaje się wygodniejszy i mniej ciężki, gdy chcę zainstalować program.
    Używam go jest łatwy, na przykład używam prawie zawsze
    $ paker nazwa_programu

  3.   fernandoagonzalez powiedział

    Dobrze, że istnieje autor poświęcony Archlinux! Znakomity.

  4.   Stederra powiedział

    Dzięki, kiedy próbowałem zaktualizować swój system po kilku miesiącach, przestraszyłem się tego błędu, na szczęście jego rozwiązanie było dość proste i szybkie zgodnie z instrukcjami, które umieściłeś.

    Swoją drogą mam błędy podczas ładowania FromLinux za pomocą HTTPS (chyba z powodu blokowania niezabezpieczonych treści).

    pozdrowienia

  5.   Roberto powiedział

    Miałem ten sam problem, dzięki za udostępnienie

  6.   jony127 powiedział

    Co za cholerna dystrybucja ………

  7.   Francisco powiedział

    A jaki był błąd jaki miałeś z pacmanem i yaourtem ???, miałem problemy i dał mi ten błąd:

    błąd curl: nie można połączyć się z serwerem

    Ale naprawiłem to, edytując plik /etc/hosts dodanie następujących elementów:

    5.9.250.164 aur.archlinux.org

  8.   jose powiedział

    Próbuję skompilować to dla maliny i daje mi następujący błąd:
    / home / viruspi / package-query / PKGBUILD: wiersz 16: make: nie znaleziono polecenia
    ==> BŁĄD: Wystąpiła awaria funkcji build ().
    Anulowanie ...